<?php
#Made By: AngelOfFaith
#URL: http://coder-lib.ru
#ICQ: 410755038
#Mail: angeloffaith@inbox.ru
#Скпри запрещено продавать, раздавать, менять, выкладывать, переписывать!
#Все права на скрипт принадлежат автору, тоесть мне!
#З.Ы. Уважайте авторские права

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Онлайн город'; // заголовок страницы

include_once '../sys/inc/thead.php';
title();
err();
aut();

$gconf=mysql_fetch_array(mysql_query("SELECT * FROM `gorod_conf`"));

if(isset($user)){
if($gconf[0]['open']!=1){


echo '<img src="http://bumix.h2m.ru/gorodok/bank.gif" /> ';
echo '<b><font color="red">Банк</font></b><br/>';


$action=htmlspecialchars(trim($_GET['action']));


switch ($action){

default:
echo 'Здарова, '.$user['nick'].'!<br/>';
echo 'У тебя есть <b>'.$user['balls'].'</b> балов сайта!<br/>';
echo 'Денег: <b>'.$user['gorod_money'].'</b><br/>';
echo 'Поменять их на $ по курсу 1 бал = 50$<br/>';
echo '<form action="bank.php?action=change" method="post">';
echo 'Сколько балов хотите поменять:<br/>';
echo '<input name="num" type="text" value=""/><br/>';
echo '<input type="submit" value="Менять"/>';
echo '</form>';
break;


case 'change':
$num=(int)$_POST['num'];
if(!$num || $num<1){echo 'Пустые параметры!';break;};
if($user['balls']<$num){echo 'У вас нет столько балов!';break;};
$baks=$num*50;
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`+'$baks',`balls`=`balls`-'$num' WHERE `id`='".$user['id']."'");
echo 'Успешно!';
break;


};
echo '<div class="msg"><a href="index.php">В город</a></div>';
}else{echo '<div class="msg">Город закрыт администратором!</div>';};

}else{
echo '<div class="msg">Город доступен только для авторизованых пользователей!</div>';
};

include_once '../sys/inc/tfoot.php';
?>